## com.sun.jersey.core.spi.component
Interface ComponentProviderFactory<C extends ComponentProvider>

Type Parameters:
  `C` - the type of the `ComponentProvider`

All Known Subinterfaces:
  IoCComponentProviderFactory

All Known Implementing Classes:
  IoCProviderFactory, ProviderFactory

    public interface ComponentProviderFactory<C extends ComponentProvider>

A factory for obtaining component providers.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`C` `getComponentProvider(java.lang.Class<?> c)` Get the component provider for a class.

Method Detail

### getComponentProvider

    C getComponentProvider(java.lang.Class<?> c)

  Get the component provider for a class.

  Parameters:
    `c` - the class
  Returns:
    the component provider for the class

Copyright © 2017 Oracle Corporation. All Rights Reserved.